textures/joe/podea
{
    surfaceparm nodamage
    {
        map textures/joe/podea
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/joe/light1_1_1k
{
	qer_editorimage textures/joe/light1_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joe/light1_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scale 1 1
	}
	{
		map textures/joe/light1_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/joe/light1_2_1k
{
	qer_editorimage textures/joe/light1_2.tga
	q3map_lightimage textures/joe/jumppad1_1.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

     {
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joe/light1_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scale 1 1
	}
	{
		map textures/joe/light1_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/joe/light8_4_1k
{
	qer_editorimage textures/joe/light8_4.tga
	q3map_lightimage textures/joe/light8_2.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joe/light8_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/joe/light8_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/joe/light8_1_1k
{
	qer_editorimage textures/joe/light8_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joe/light8_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/joe/light8_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/joe/light4_2_5k
{
	qer_editorimage textures/joe/light4_2.tga
	surfaceparm nomarks
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joe/light4_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/joe/light4_2.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/joe/steag
{
	qer_editorimage textures/joe/steag.tga
	tessSize 64
	deformVertexes wave 194 sin 0 3 0 .4
	deformVertexes normal .5 .1
	surfaceparm nomarks
	cull none

	{
		map textures/joe/steag.tga
		rgbGen identity
	}
	{
		map textures/joe/steag.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map textures/sfx/shadow.tga
		tcGen environment
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/joe/geam1
{
	qer_editorimage textures/joe/geam1.tga
     surfaceparm trans
	surfaceparm nolightmap
     surfaceparm nodamage
	qer_trans 	0.5

        {
		map textures/joe/tin_a.tga
          tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
           
}

textures/joe/concrete1_8_1k_pulse_star
{
	qer_editorimage textures/joe/concrete1_8.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/joe/concrete1_8.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/joe/concrete1_8.blend_b.tga
		rgbGen wave sin 0.2 0.8 1 1
		blendfunc GL_ONE GL_ONE
	}
}

textures/joe/apa
{
	qer_editorimage textures/joe/apa.tga
	surfaceparm water
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 60
	q3map_lightimage textures/joe/apa.tga

	{
		map textures/joe/apa.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scroll 0.1 0.2
	}
	{
		map textures/joe/apa.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcMod scroll -0.2 0.02
	}
}

textures/joe/wires2_1
{
	qer_editorimage textures/joe/wires2_1.TGA
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/joe/wires2_1.TGA
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/joe/jumppad1_2_snow
{
	qer_editorimage textures/joe/jumppad1_2.tga
	q3map_lightimage textures/joe/jumppad1_1.fx.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	{
		clampmap textures/joe/jumppad1_1.fx.tga
		tcMod stretch sawtooth .1 6.5 1 1
		rgbGen identity
	}
	{
		map textures/joe/jumppad1_2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/joe/jumppad1_1.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave inversesawtooth 0.5 0.5 0 0.5
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/joe/grilaj
{
	qer_editorimage textures/joe/grilaj.tga
	surfaceparm trans
     surfaceparm nodamage
	cull none
	nopicmip

	{
		map textures/joe/grilaj.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/joe/grilaj2
{
	qer_editorimage textures/joe/grilaj2.tga
	surfaceparm trans
     surfaceparm nodamage
     surfaceparm slick
	cull none
	nopicmip

	{
  map textures/joe/tin_1.tga
	tcMod scale .5 .5
	rgbGen const ( 0.2 0.2 0.2 )
      tcGen environment
     blendFunc GL_ONE GL_ONE
    }
	{
	map textures/joe/grilaj2.tga
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}



textures/joe/grilaj3
{
	qer_editorimage textures/joe/grilaj3.tga
	surfaceparm trans
     surfaceparm nodamage
	cull none
	nopicmip

	{
		map textures/joe/grilaj3.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/joe/pes
{
    tesssize 32
    deformVertexes wave 10 sin 0 3 0 .5  
    cull disable
    surfaceparm nolightmap
    surfaceparm nomarks	
    
        {
                clampmap textures/joe/pes.tga
                alphaFunc GE128
                tcMod stretch sin .8 0.10 0 .07
		depthWrite
		
        }


}

textures/joe/bv
{
	qer_editorimage textures/joe/lin.tga
	qer_trans 0.5
	q3map_surfacelight 50
     cull disable
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
            map textures/joe/blk.jpg
		tcGen environment
		blendfunc filter
	}
    {

	         map textures/joe/lin.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .05 0
        depthWrite
        rgbGen identity
    }

}

textures/joe/thx
{
	qer_editorimage textures/joe/thx.tga
	qer_trans 0.5
	q3map_surfacelight 50
     cull disable
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
            map textures/joe/blk.jpg
		tcGen environment
		blendfunc filter
	}
    {

	         map textures/joe/thx.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .05 0
        depthWrite
        rgbGen identity
    }

}


textures/joe/nj
{
	qer_editorimage textures/joe/mlin.tga
	qer_trans 0.5
	q3map_surfacelight 50
     cull disable
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
            map textures/joe/blk2_1.jpg
		tcGen environment
		blendfunc filter
	}
    {

	         map textures/joe/mlin.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .05 0
        depthWrite
        rgbGen identity
    }

}

textures/joe/pj
{
	qer_editorimage textures/joe/vlin.tga
	qer_trans 0.5
	q3map_surfacelight 50
     cull disable
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
            map textures/joe/blk3_1.jpg
		tcGen environment
		blendfunc filter
	}
    {

	         map textures/joe/vlin.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .05 0
        depthWrite
        rgbGen identity
    }

}

textures/joe/ina
{
	qer_editorimage textures/joe/inapoi.tga
	qer_trans 0.5
	q3map_surfacelight 50
     cull disable
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid

	{
            map textures/joe/blk.jpg
		tcGen environment
		blendfunc filter
	}
    {

	         map textures/joe/inapoi.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .05 0
        depthWrite
        rgbGen identity
    }

}

textures/joe/dbj
{
	qer_editorimage textures/joe/dbj.tga
	qer_trans 0.5
	q3map_surfacelight 50
     cull disable
	surfaceparm nolightmap
	surfaceparm alphashadow
	surfaceparm nonsolid

	{
            map textures/joe/blk.jpg
		tcGen environment
		blendfunc filter
	}
    {

	         map textures/joe/dbj.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GT0
		tcmod scroll .05 0
        depthWrite
        rgbGen identity
    }

}



textures/joe/geam2
{
	qer_editorimage textures/joe/geam2.tga
        surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	qer_trans 	0.5

        {
		map textures/joe/tinfix7.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/joe/peretebr
{
	qer_editorimage textures/joe/perete2.jpg
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm slick
	cull none
	nopicmip

	{
    map textures/joe/tin_1.tga
	tcMod scale .5 .5
	rgbGen const ( 1 1 1 )
    tcGen environment
    }
	{
	map textures/joe/perete2.jpg
	blendFunc GL_ONE GL_ONE
	rgbGen const ( 10 10 10 )

	}
	{	
	map $lightmap
	blendFunc GL_DST_COLOR GL_ZERO
	rgbgen const ( 1 1 1 )
	depthFunc equal
	}
	
}

textures/joe/apac1
{
    qer_trans 0.40
    qer_editorimage textures/joe/apac1.tga
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm water
}

textures/joe/ladder1
{
     qer_editor_image textures/joe/ladder1.tga
     qer_trans 0.40
     surfaceparm nolightmap
     surfaceparm trans
     surfaceparm nomarks
     surfaceparm nodraw
     surfaceparm ladder
     surfaceparm noimpact
     surfaceparm playerclip
} 


textures/joe/lumina
{
    qer_editorimage textures/joe/lumina.tga
    q3map_surfacelight 5000
    surfaceparm nomarks
    surfaceparm nodamage
        {
        map $lightmap
        rgbGen identity
        }

        {
        map textures/joe/lumina.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
        }

        {
        map textures/joe/luminablend.tga
        blendfunc GL_ONE GL_ONE
        }
}

textures/joe/gard
{
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/joe/gard.tga	
	q3map_surfacelight 100

	
	{
		map textures/joe/gard_electric.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/joe/gard.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}

textures/joe/gard_verde
{
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/joe/gard_verde.tga	
	q3map_surfacelight 100

	
	{
		map textures/joe/gard_electric_verde.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}



	{
		map textures/joe/gard_verde.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
	
}

textures/joe/gard_albastru
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/joe/gard_albastru.tga	
	q3map_surfacelight 100

	{
		map textures/joe/gard_electric_albastru.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/joe/gard_electric_albastru.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/joe/gard_albastru.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/joe/gard2
{
	qer_editorimage textures/joe/gard2.tga
	surfaceparm trans
	cull none
	nopicmip

	{
  map textures/joe/tin_1.tga
	tcMod scale .5 .5
	rgbGen const ( 0.2 0.2 0.2 )
      tcGen environment
     blendFunc GL_ONE GL_ONE
    }
	{
	map textures/joe/gard2.tga
	blendFunc GL_ONE GL_ONE
	rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/joe/perete3
{
    surfaceparm nodamage
     {
     map textures/joe/perete3.jpg   
     rgbGen const ( 0.05 0.05 0.05 )
   }
}

textures/joe/sol
{
    surfaceparm nodamage
    surfaceparm nonsolid
    {
        map textures/joe/sol
    }
    {
        map $lightmap
        blendfunc filter
    }
}

